#
# WiKicker
#
#  Mailer.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Mailer.pm,v 1.1.1.1 2003/05/18 14:03:53 naney Exp $
#
#

package WiKicker::CGI::Mailer;

use WiKicker::Mailer;

sub new {
  my ($class, $configuration) = @_;

  my $self = bless { configuration => $configuration }, $class;
  return $self;
  
}

sub send_page_action_mail {
  my ($self, $name, $mode, $content, $user) = @_;

  my $to = $self->{configuration}->properties->get('admin.notify.email');
  unless ($to) {
    return;
  }

  my $forum_name = $self->{configuration}->properties->get('wikicker.name');

  my $sendmail = $self->{configuration}->properties->get('program.sendmail');
  
  my $mailer = WiKicker::Mailer->new($sendmail);
  $mailer->send($forum_name, $to, $name, $mode, $content, $user);
}

1;
