#
# WiKicker
#
#  PageFactory.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: PageFactory.pm,v 1.3 2003/12/28 02:14:14 naney Exp $
#
#

package WiKicker::CGI::PageFactory;

use 5.005;
use strict;
use WiKicker::Loader;

sub new {
  my $class = shift;

  my $self = bless {}, $class;

  return $self;
}

sub create {
  my ($self, $request) = @_;

  my $page_class = $self->_get_page_class($request);

  WiKicker::Loader::load_module($page_class);

  my $page;
  eval {
    $page = $page_class->new(request => $request);
  };
  if ($@) {
    die "Can't create page object $page: $@";
  }
  return $page;
}


1;
