#
# WiKicker
#
#  Read.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Read.pm,v 1.5 2004/05/01 08:15:21 naney Exp $
#
#

package WiKicker::CGI::View::Text::Read;

use 5.005;
use strict;

use WiKicker::CGI::View::Text;
use WiKicker::WikiPage::TextFormatVisitor;

use vars qw(@ISA);
# @todo
@ISA = qw(WiKicker::CGI::View::Text);

sub view {
  my $self = shift;

  my $wiki_page = $self->request->attribute('content');

  $self->set_http_header($self->response);

  my $document_node
    = $self->request->environment->create_document_parser->parse($wiki_page);
  my $visitor = WiKicker::WikiPage::TextFormatVisitor->new;

  $visitor->visit($document_node);

  $self->response->add_content($visitor->content);
}


1;
