#
# WiKicker
#
#  KeywordArticleHtmlFragmentVisitor.pm
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: KeywordArticleHtmlFragmentVisitor.pm,v 1.1 2004/05/30 04:18:30 naney Exp $
#
#

package WiKicker::Diki::KeywordArticleHtmlFragmentVisitor;

use strict;
use WiKicker::Diki::ArticleHtmlFragmentVisitor;

use vars qw(@ISA);
@ISA = qw(WiKicker::Diki::ArticleHtmlFragmentVisitor);

sub _start_article {
  my $self = shift;

  $self->{content} .= '<div class="day">';
}

sub _end_article {
  my $self = shift;

  $self->{content} .= '</div>';
}

sub _start_article_body {
  my $self = shift;

  $self->{content} .= '<div class="body">';
}

sub _end_article_body {
  my $self = shift;

  $self->{content} .= '</div>';
}

sub _start_section {
  my $self = shift;

  $self->{_in_section} = 1;

  $self->{content} .= '<div class="section">';
}

sub _end_section {
  my $self = shift;

  if ($self->{_in_section}) {
    $self->{content} .= '</div>';
  }
  $self->{_in_section} = 0;
}

1;
