#
# WiKicker
#
#  KeywordList.pm
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: KeywordList.pm,v 1.2 2004/08/03 12:55:52 naney Exp $
#
#

package WiKicker::Diki::KeywordList;

use 5.005;
use strict;
use Carp;

sub new {
  my ($class, %param) = @_;

  my $self = bless { updated => 0 }, $class;
  if (exists $param{article_list}) {
    $self->{list} = $param{article_list};
  }

  return $self;
}

sub list {
  shift->{list};
}

sub size {
  scalar(@{shift->{list}});
}

sub article_term_list_modified_set {
  my $self = shift;

  my %result = ();
  for my $article (@{$self->{list}}) {
    $result{$article->id} = $article->term_list_modified;
  }
  return \%result;
}

sub get_article {
  my ($self, $article_id) = @_;

  for my $article (@{$self->list}) {
    if ($article_id eq $article->id) {
      return $article;
    }
  }
  return undef;
}

1;
