#
# WiKicker
#
#  LinkMaker.pm
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: LinkMaker.pm,v 1.1 2004/05/30 04:18:30 naney Exp $
#
#

package WiKicker::Diki::LinkMaker;

use 5.005;
use strict;

use WiKicker::HTML::LinkMaker;

use vars qw(@ISA);

BEGIN {
  @ISA = qw(WiKicker::HTML::LinkMaker);
}

sub make_dk_uri {
  my ($self, $page_name) = @_;

  if (exists $self->{dk_uri}->{$page_name}) {
    return $self->{dk_uri}->{$page_name};
  }
  else {
    return $self->{dk_uri}->{$page_name}
      = $self->script_url . '/dk/' . WiKicker::URI::page_name_to_path_segments($page_name) . '.html';
  }
}

# override
sub make_page_read_uri {
  my ($self, $page_name) = @_;

  return $self->make_dk_uri($page_name);
}

# override
sub make_dangling_link {
  my ($self, $page_name, $content) = @_;

  my $href = $self->make_dk_uri($page_name);
  my $content_string = WiKicker::HTML::escape($content || $page_name);

  return qq(<a href="$href">$content_string</a>);
}

1;
