#
# WiKicker
#
#  Controller.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Controller.pm,v 1.2 2004/06/20 05:50:30 naney Exp $
#
#

package WiKicker::DikiCGI::Controller;

use 5.005;
use strict;
use WiKicker::DikiCGI::Configuration;
use WiKicker::DikiCGI::Request;
use WiKicker::DikiCGI::PageFactory;
use WiKicker::DikiCGI::Environment;
use WiKicker::CGI::AbstractController;

use vars qw(@ISA);
BEGIN {
  @ISA = qw(WiKicker::CGI::AbstractController);
}

sub _get_configuration_class {
  return 'WiKicker::DikiCGI::Configuration';
}

sub _get_environment {
  my ($self, $configuration) = @_;

  return WiKicker::DikiCGI::Environment->new(configuration => $configuration);
}

sub _get_request {
  my ($self, $environment, $query) = @_;

  return WiKicker::DikiCGI::Request->new(environment => $environment,
                                         query => $query);
}

sub _run_hook {
  my ($self, $request) = @_;

  return 0;
}

sub _create_page {
  my ($self, $request) = @_;

  return WiKicker::DikiCGI::PageFactory->new()->create($request);
}

sub _run_post_handler {
  my ($self, $request) = @_;

  $request->environment->check_keyword_files_update;
  $request->environment->destroy_data_manager;
}

1;
