#
# WiKicker
#
#  KeywordDiaryPage.pm
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: KeywordDiaryPage.pm,v 1.1 2004/05/30 04:19:19 naney Exp $
#
#

package WiKicker::DikiCGI::Page::KeywordDiaryPage;

use 5.005;
use strict;
use WiKicker::DikiCGI::Page;

use vars qw(@ISA);
@ISA = qw(WiKicker::DikiCGI::Page);

sub do_read {
  my $self = shift;

  my $environment = $self->request->environment;
  my $data_manager = $environment->data_manager;
  my $diaries = $data_manager->get_recent_keyword_diaries($self->request->command->name,
                                                          5);
  my $keywords = $data_manager->get_keywords($self->request->command->name);

  $self->request->attribute('diaries', $diaries);
  $self->request->attribute('keywords', $keywords);

  return 'RecentKeywordDiaries';
}

1;
