#
# WiKicker
#
#  RecentKeywordDiaries.pm
#
#
# Copyright (C) 2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: RecentKeywordDiaries.pm,v 1.1 2004/05/30 04:19:58 naney Exp $
#
#

package WiKicker::DikiCGI::View::HTML::RecentKeywordDiaries;

use 5.005;
use strict;

use WiKicker::DikiCGI::View::HTML::RecentDiaries;

use vars qw(@ISA);

BEGIN {
  @ISA = qw(WiKicker::DikiCGI::View::HTML::RecentDiaries);
}

sub sub_title {
  my $self = shift;

  return $self->request->command->name . 'に関する最近の記事';
}

sub make_html_head_title {
  my $self = shift;

  my $title = $self->request->attribute('diaries')->html_title;
  my $name = $self->request->configuration->properties->get('dikicker.name');
  return WiKicker::HTML::escape($name . ': ' . $self->request->command->name . ' - ' . $title);
}

sub keyword_articles {
  my $self = shift;

  my $keyword_list = $self->request->attribute('keywords');

  for my $keyword (@{$keyword_list->list}) {
    $self->make_keyword_articles($self->request, $self->response, $keyword);
  }
}

sub make_keyword_articles {
  my ($self, $request, $response, $keyword) = @_;

  $response->add_content($keyword->to_html);
}


1;
