#
# WiKicker
#
#  File.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: File.pm,v 1.1 2003/09/16 15:12:19 naney Exp $
#
#

package WiKicker::File;

use 5.005;
use strict;

use MIME::Base64;

# use [A-Za-z0-9+.=]
# Oh my god! '=' is reserved within a path segment (RFC2396 3.3)
sub key_to_file_name {
  my $key = shift;

  my $name = encode_base64($key, '');
  chomp $name;
  $name =~ tr|/|.|;
  return $name;
}

sub file_name_to_key {
  my $file_name = shift;
  $file_name =~ tr|.|/|;
  return decode_base64($file_name);
}

# use [A-Za-z0-9+.-]
sub key_to_pchar_name {
  my $key = shift;

  my $name = encode_base64($key, '');
  chomp $name;
  $name =~ tr|/=|.-|;
  return $name;
}

sub pchar_name_to_key {
  my $file_name = shift;
  $file_name =~ tr|.-|/=|;
  return decode_base64($file_name);
}

1;
