#
# WiKicker
#
#  ISBN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ISBN.pm,v 1.1.1.1 2003/05/18 14:03:53 naney Exp $
#
#

package WiKicker::ISBN;

use strict;

sub hyphenation {
  my $original_isbn = shift;

  if ($original_isbn =~ /-/) {
    return $original_isbn;
  }
  my $isbn = $original_isbn;
  $isbn =~ s/-//g;

  if (length($isbn) != 10) {
    return $original_isbn;
  }
  if ($isbn =~ /^[04](\d\d)/) {
    my $range = $1;
    if ($range <= 19) {
      $isbn =~ s/^(\d)(\d{2})(\d{6})(.)$/$1-$2-$3-$4/;
      return $isbn;
    }
    if ($range <= 69) {
      $isbn =~ s/^(\d)(\d{3})(\d{5})(.)$/$1-$2-$3-$4/;
      return $isbn;
    }
    if ($range <= 84) {
      $isbn =~ s/^(\d)(\d{4})(\d{4})(.)$/$1-$2-$3-$4/;
      return $isbn;
    }
    if ($range <= 89) {
      $isbn =~ s/^(\d)(\d{5})(\d{3})(.)$/$1-$2-$3-$4/;
      return $isbn;
    }
    if ($range <= 94) {
      $isbn =~ s/^(\d)(\d{6})(\d{2})(.)$/$1-$2-$3-$4/;
      return $isbn;
    }
    $isbn =~ s/^(\d)(\d{7})(\d{1})(.)$/$1-$2-$3-$4/;
    return $isbn;
  }
  if ($isbn =~ /^1(\d\d\d\d)/) {
    my $range = $1;
    if (5500 <= $range && $range <= 8697) {
      $isbn =~ s/^1(\d{5})(\d{3})(.)$/1-$1-$2-$3/;
      return $isbn;
    }
    if (8698 <= $range && $range <= 9989) {
      $isbn =~ s/^1(\d{6})(\d{2})(.)$/1-$1-$2-$3/;
      return $isbn;
    }
    if (9990 <= $range) {
      $isbn =~ s/^1(\d{7})(\d{1})(.)$/1-$1-$2-$3/;
      return $isbn;
    }
    return $original_isbn;
  }


  return $original_isbn;
}

1;
