#
# WiKicker
#
#  L10N.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: L10N.pm,v 1.5 2004/05/30 04:07:32 naney Exp $
#
#

package WiKicker::L10N;

use 5.005;
use strict;
use Locale::Maketext 1.01;
use WiKicker::Time;

use vars qw(@ISA %Lexicon);
BEGIN {
  @ISA = qw(Locale::Maketext);
}

%Lexicon =
  (
   '_AUTO' => 1,

   'Last-Modified' => 'Last-Modified',


   'search_button'      => 'search',
   'preferences_button' => 'preferences',

  );

sub date_str {
  my ($self, $gmtime, $zone) = @_;

  return WiKicker::Time::english_date_str($gmtime, $zone);
}

sub date_html_str {
  my ($self, $gmtime, $zone) = @_;

  return WiKicker::Time::english_date_html_str($gmtime, $zone);
}

sub date_only_html_str {
  my ($self, $year, $month, $day, $zone) = @_;

  return WiKicker::Time::english_date_only_html_str($year, $month, $day, $zone);
}

1;
