#
# WiKicker
#
#  ja.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ja.pm,v 1.13 2004/05/30 04:07:50 naney Exp $
#
#

package WiKicker::L10N::ja;
use strict;
use WiKicker::L10N;
use vars qw(@ISA %Lexicon);
BEGIN {
  @ISA = qw(WiKicker::L10N);
}

%Lexicon =
  (
   '_AUTO' => 1,

   'Last-Modified' => '最終更新',
   'preview' => 'プレビュー',
   'cancel' => 'キャンセル',
   'save' => '保存',
   'create' => '新規',
   'create new page' => '新しいページを作成する',
   'edit' => '編集',
   'edit this page' => 'このページを編集',
   'edit this section' => 'このセクションを編集',
   'copy' => 'コピー',
   'copy this page' => 'このページをコピー',
   'diff' => '変更点',
   'show difference' => 'このページの変更点を表示する',

   'Go top page' => 'トップページへ',
   'recent changes' => '最近更新されたページ',

   'search_button' => '検索',
   'search the WikiForum' => 'WikiForum内を検索する',
   'preferences_button' => '設定',

   'time zone' => 'タイムゾーン',
   'name (nickname)' => '名前 (ニックネーム)',
   'update' => '更新',

   "Be the first person to write '[_1]' page in this Forum"
     => "'[_1]'に関するページを新しく作りましょう!",

   'I am sorry, this server is busy. Please retry later.'
     => '申し訳ございません。ただいまサーバ負荷が高い状態にあるため、検索機能を休止しております。時間をおいて再検索してください。',
  );

sub date_str {
  my ($self, $gmtime, $zone) = @_;

  return WiKicker::Time::japanese_date_str($gmtime, $zone);
}

sub date_html_str {
  my ($self, $gmtime, $zone) = @_;

  return WiKicker::Time::japanese_date_html_str($gmtime, $zone);
}

sub date_only_html_str {
  my ($self, $year, $month, $day, $zone) = @_;

  return WiKicker::Time::japanese_date_only_html_str($year, $month, $day, $zone);
}

1;
