#
# WiKicker
#
#  EntryMap.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: EntryMap.pm,v 1.1.1.1 2003/05/18 14:03:53 naney Exp $
#
#

package WiKicker::TrackBack::EntryMap;

use 5.005;

use strict;

sub new {
  my $class = shift;

  my $self = bless { entries => {} }, $class;
}

sub set {
  my ($self, $entry) = @_;

  my $url = $entry->url;
  $self->{entries}->{$url} = $entry;
}

sub get {
  my ($self, $url) = @_;

  return $self->{entries}->{$url};
}

sub get_entries_list {
  my $self = shift;

  return sort { $b->timestamp <=> $a->timestamp }
    map { $self->{entries}->{$_} } keys %{$self->{entries}};
}

1;
