#
# WiKicker
#
#  UTF8_5_8.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: UTF8_5_8.pm,v 1.2 2003/06/12 04:07:18 naney Exp $
#
#

package WiKicker::UTF8_5_8;

use utf8;

sub _substr_utf8 {
  my ($self, $expr, $offset, $length) = @_;

  my $string = $expr;
  utf8::decode($string);
  my $result = substr($string, $offset, $length);
  utf8::encode($result);

  return $result;
}

sub _length_utf8 {
  my ($self, $string) = @_;

  utf8::decode($string);
  return length($string);
}

sub _split_into_array {
  my ($self, $expr) = @_;

  my @result;
  my $string = $expr;
  utf8::decode($string);
  my $max = length($string);
  for (my $i = 0; $i < $max; $i++) {
    my $c = substr($string, $i, 1);
    utf8::encode($c);
    push(@result, $c);
  }

  return @result;
}

1;
