#
# WiKicker
#
#  UTF8_Unicode_String.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: UTF8_Unicode_String.pm,v 1.6 2003/07/11 12:29:58 naney Exp $
#
#

package WiKicker::UTF8_Unicode_String;

use Unicode::String;
use strict;

sub _substr_utf8 {
  my ($self, $expr, $offset, $length) = @_;

  my $string = Unicode::String::utf8($expr);
  my $result = $string->substr($offset, $length);
  return $result->utf8;
}

sub _length_utf8 {
  my ($self, $string) = @_;

  return Unicode::String::utf8($string)->length;
}

# sub _split_into_array {
#   my ($self, $string) = @_;

#   my $utf8 = Unicode::String::utf8($string);
#   my @result;
#   my $max = $utf8->length;
#   for (my $i = 0; $i < $max; $i++) {
#     push(@result, $utf8->substr($i, 1)->utf8);
#   }
#   return @result;
# }

# sub _split_into_array {
#   my ($self, $text) = @_;

#   my @array = unpack("C*", $text);
#   my @result;
#   my $i = 0;
#   while ($i < @array) {
#     if ($array[$i] < 0x80) {
#       push(@result, chr($array[$i]));
#       $i++;
#     }
#     elsif ($array[$i] < 0xe0) {
#       push(@result, chr($array[$i]) . chr($array[$i+1]));
#       $i += 2;
#     }
#     elsif ($array[$i] < 0xf0) {
#       push(@result, chr($array[$i]) . chr($array[$i+1]) . chr($array[$i+2]));
#       $i += 3;
#     }
#     else {
#       push(@result, chr($array[$i]) . chr($array[$i+1])
#                   . chr($array[$i+2]) . chr ($array[$i+3]));
#       $i += 4;
#     }
#   }
#   return @result;
# }

sub _split_into_array {
  my ($self, $text) = @_;

  my @result;
  while ($text =~ /([\x00-\x7f]|[\x80-\xdf].|[\xe0-\xef]..|[\xf0-\xff]...)/og) {
    push(@result, $1);
  }
  return @result;
}

1;
