#
# WiKicker
#
#  ISBN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ISBN.pm,v 1.1 2003/06/21 09:38:15 naney Exp $
#
#

package WiKicker::WRI::ISBN;

use strict;
use WiKicker::WRI::RWRN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::RWRN);

sub canonical {
  my $self = shift;

  my $scheme = $self->scheme;

  return WiKicker::WRI::URN->new('urn:isbn:' . $self->rest,
                                 'urn',
                                 'isbn:' . $self->rest);
}

sub get_link_url {
  my ($self, $env) = @_;

  $self->canonical->get_link_url($env);
}

1;
