#
# WiKicker
#
#  Index.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Index.pm,v 1.3 2004/06/11 14:43:34 naney Exp $
#
#

package WiKicker::WRI::Index;

use strict;
use WiKicker::WRI::RWRN;
use WiKicker::Loader;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::RWRN);

sub to_subject_string {
  return '';
}

sub to_html {
  my ($self, $content, $env) = @_;

  if ($env->in_inline) {
    return '';
  }

  unless ($self->rest eq 'child') {
    return SUPER->to_html($content, $env);
  }

  $self->_make_wri_child_index_list($env);

}

sub _make_wri_child_index_list {
  my ($self, $env) = @_;

  my $name = $env->page_name;
  my @child_name = $env->db->page_name_list
    ->page_list_with_predicate(sub {
                                 my $key = shift;
                                 return $key =~ m|^$name/[^/]+$|;
                               });
  unless (@child_name) {
    return '';
  }

  my $result = qq(<ul>\n);
  for my $child (@child_name) {
    $result .= '<li>';
    $result .= $env->link_maker->make_exists_page_link($child, '', 0, 1);
    $result .= "</li>\n";
  }
  $result .= qq(</ul>\n);
  return $result;
}

1;
