#
# WiKicker
#
#  PWRN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: PWRN.pm,v 1.3 2003/06/21 09:40:54 naney Exp $
#
#

package WiKicker::WRI::PWRN;

use strict;
use WiKicker::WRI::NQWRN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::NQWRN);

sub _initialize {
  my $self = shift;

  if ($self->original =~ /^(.*)#([^#]+)$/) {
    $self->{page_name} = $1;
    $self->{fragment_identifier} = $2;
  }
  else {
    $self->{page_name} = $self->original;
    $self->{fragment_identifier} = '';
  }

  $self->{page_name} =~ s/\\(.)/$1/g;
}

sub page_name {
  my $self = shift;

  return $self->{page_name};
}

sub fragment_identifier {
  my $self = shift;

  return $self->{fragment_identifier};
}

sub to_html {
  my ($self, $content, $env) = @_;

  return $self->_make_page_name_link($self->page_name,
                                     $self->fragment_identifier,
                                     $content, 0, 0,
                                     $env);
}

1;
