#
# WiKicker
#
#  SWRN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: SWRN.pm,v 1.2 2003/06/21 09:40:54 naney Exp $
#
#

package WiKicker::WRI::SWRN;

use strict;
use WiKicker::WRI::NQWRN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::NQWRN);

sub canonical {
  my $self = shift;

  if ($self->original =~ /^(isbn|ISBN)(.*)$/) {
    return WiKicker::WRI::URN->new('urn:isbn:' . $2,
                                   'urn',
                                   'isbn:' . $2);
  }
  if ($self->original =~ /^(rfc|RFC)(.*)$/) {
    return WiKicker::WRI::URN->new("urn:ietf:rfc:$2",
                                   'urn',
                                   "ietf:rfc:$2"
                                  );
  }
  return undef;
}

sub to_html {
  my ($self, $content, $env) = @_;

  return $self->_make_url_link_html($content, $env);
}

sub get_link_url {
  my ($self, $env) = @_;

  my $canonical = $self->canonical;
  return '' unless defined $canonical;
  return $canonical->get_link_url($env);
}

sub get_image_url {
  return '';
}

1;
