#
# WiKicker
#
#  URI.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: URI.pm,v 1.3 2003/11/01 11:58:07 naney Exp $
#
#
package WiKicker::WRI::URI;

use strict;
use WiKicker::WRI;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI);

sub new {
  my ($class, $original, $scheme, $rest) = @_;

  my $self = bless {}, $class;

  $self->original($original);
  $self->scheme($scheme);
  $self->rest($rest);
  
  $self->_initialize;
  
  return $self;
}

sub scheme {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{scheme} = $value;
  }
  return $self->{scheme};
}

sub rest {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{rest} = $value;
  }
  return $self->{rest};
}

sub to_html {
  my ($self, $content, $env) = @_;

  return $self->_make_url_link_html($content, $env);
}

1;

