#
# WiKicker
#
#  URL.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: URL.pm,v 1.4 2003/06/28 03:22:31 naney Exp $
#
#

package WiKicker::WRI::URL;

use strict;
use WiKicker::WRI::URI;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::URI);

sub to_html {
  my ($self, $content, $env) = @_;

  my $image_url = $self->get_image_url($env);
  if ($image_url) {
    return $self->_make_image_link_html($content, $image_url, $env);
  }
  else {
    my $href = $self->get_link_url($env);
    my $short_href = WiKicker::URI::short_http_url($href, 40);
    my $content_string = WiKicker::HTML::escape($content || $short_href);

    my $title = '';
    if ($short_href ne $href) {
      my $title_href = WiKicker::HTML::escape_attribute($href);
      $title = qq( title="$title_href");
    }
    return qq(<a href="$href"$title>$content_string</a>);
  }
}

sub get_link_url {
  my $self = shift;

  return $self->original;
}

sub get_image_url {
  my ($self ,$env) = @_;

  if ($self->scheme eq 'http' ||
        $self->scheme eq 'https') {
    if ($self->to_string =~ /\.(gif|jpeg|jpg|jpe|png)$/) {
      return $self->to_string;
    }
  }
  return '';
}

1;
