#
# WiKicker
#
#  URN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: URN.pm,v 1.2 2003/06/21 09:40:54 naney Exp $
#
#

package WiKicker::WRI::URN;

use strict;
use WiKicker::WRI::URI;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::URI);

sub nid {
  my $self = shift;

  $self->rest =~ /^([^:]+):/;
  return lc($1);
}

sub nss {
  my $self = shift;

  $self->rest =~ /^[^:]+:(.*)$/;
  return $1;
}

sub get_link_url {
  my ($self, $env) = @_;

  my $resolver;
  if ($env) {
    $resolver = $env->resolver;
  }
  else {
    $resolver = WiKicker::WRI::Resolver->new;
  }

  my $nid = $self->nid;
  if ($nid eq 'isbn') {
    my $number = $self->nss;
    $number =~ s/-//g;
    return $resolver->get_asin_url($number);
  }
  if ($nid eq 'ietf') {
    if ($self->nss =~ /^rfc:(\d+)$/) {
      return $resolver->get_rfc_url($1);
    }
  }
}

1;
