#
# WiKicker
#
#  IndexPage.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: IndexPage.pm,v 1.6 2004/06/20 06:15:44 naney Exp $
#
#

package WiKicker::WikiCGI::Page::IndexPage;

use 5.005;
use strict;
use WiKicker::WikiCGI::Page;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::Page);

sub do_read {
  my $self = shift;

  unless ($self->is_modified) {
    return 'notmodified';
  }

  my $db = $self->db;
  $db->shared_lock_pages;

  my @list = sort @{$db->page_name_list->list};

  # text
  if ($self->request->format eq 'txt') {
    $self->request->attribute('list', \@list);
  }
  # html
  else {
    my $offset = $self->request->param('offset') || 0;
    my $list_size = scalar(@list);
    splice(@list, 0, $offset);
    splice(@list, 50);
    $self->request->attribute('list', \@list);
    $self->request->attribute('list_size', $list_size);
    $self->request->attribute('item_max', 50);
    $self->request->attribute('offset', $offset);
  }

  $self->set_http_last_modified_for_send;
  return 'index';
}

1;
