#
# WiKicker
#
#  ConfirmDelete.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ConfirmDelete.pm,v 1.4 2004/05/01 07:06:08 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::ConfirmDelete;

use 5.005;
use strict;
use WiKicker::WikiCGI::View::HTML;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML);

sub make_html_body {
  my $self = shift;

  $self->response->add_content($self->make_confirm_delete_form($self->request));
}

sub make_confirm_delete_form {
  my ($self, $request) = @_;

  my $query = $request->query;

  my $result;
  $result .= qq(削除しますか? );
  $result .= $query->start_form(-method => 'POST',
                                -action => $self->request->url);
  $result .= $query->hidden(-name => 'name',
                            -default => $self->request->name,
                            -override => 1);
  $result .= $query->hidden(-name => 'action',
                            -default => 'delete',
                            -override => 1);
  $result .= $query->hidden(-name => 'lastmodified',
                            -default => $self->db->last_modified($self->request->name));
  $result .= $query->submit(-name => 'action.commit', -value => '削除');
  $result .= $query->submit(-name => 'action.cancel',  -value => 'キャンセル');

  return $result;
}


1;
