#
# WiKicker
#
#  ImageUploadForm.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: ImageUploadForm.pm,v 1.3 2004/05/01 07:06:08 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::ImageUploadForm;

use 5.005;
use strict;

use WiKicker::WikiCGI::View::HTML;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML);

sub make_html_body {
  my $self = shift;

  $self->response->add_content($self->_make_upload_form);
}

sub _make_upload_form {
  my $self = shift;

  my $query = $self->request->query;
  my $max_size = 20;

  my $result;
  $result .= $query->start_multipart_form(-action => $self->request->url);
  $result .= '  ';
  $result .= $query->filefield(-name => 'file',
                          -default => 'img.png',
                          -size => 50,
                          -maxlength => $max_size*1024);
  $result .= "\n  ";
  $result .= $query->hidden(-name => 'name',
                            -default => $self->request->name,
                            -override => 1);
  $result .= "\n  ";
  $result .= $query->submit(-name => 'Upload');
  $result .= "\n  ";
  $result .= $query->end_multipart_form();
  $result .= "\n";
  $result .= $query->p("size < 20KB; .png.gpg, .jpg.gpg, .jpeg.gpg only; Unreferenced files are deleted automatically");
  return $result;
}

1;
