#
# WiKicker
#
#  Preview.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Preview.pm,v 1.9 2004/06/26 03:35:17 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::Preview;

use 5.005;
use strict;
use WiKicker::WikiCGI::View::HTML::Edit;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML::Edit);

sub make_html_body {
  my $self = shift;


  my $wiki_page = $self->request->attribute('content');

  $self->_make_preview($wiki_page);
  $self->response->add_content($self->make_edit_form($wiki_page));
}

sub _make_preview {
  my ($self, $wiki_page) = @_;


  $self->response->add_content(qq(<hr>\n<div class="preview">));
  $self->response->flush;

  $self->_make_html_fragment($wiki_page);

  $self->response->add_content(qq(</div>\n<hr>));
  $self->response->flush;
}

sub _make_html_fragment {
  my ($self, $wiki_page) = @_;

  my $document_node = $self->_make_document_node($wiki_page);
  unless ($document_node) {
    return q(<p>Sorry, page parse error.</p>);
  }
  $self->_add_and_flush_html_fragment($document_node, 1);
}

1;
