#
# WiKicker
#
#  Acceptor.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Acceptor.pm,v 1.4 2004/06/11 14:50:39 naney Exp $
#
#

package WiKicker::WikiPage::Acceptor;

use strict;

sub accept {
#  my ($self, $visitor) = @_;
#  $visitor->visit($self);
#
#  $_[1]->visit($_[0]);

  my $func = $_[0]->visit_function;
  no strict "refs";
  $_[1]->$func($_[0]);
}

sub visit_function {
  my $self = shift;

  if ($self->{visit_function}) {
    return $self->{visit_function};
  }
  else {
    my $func = ref $self;
    die unless ($func);
    $func =~ s/^.*:://;
    return $self->{visit_function} = "visit_$func";
  }
}

sub import {
  my ($class, @args) = @_;

  if (grep {$_ eq ':accept'} @args) {
    my $package = caller;
    my $last = $package;
    $last =~ s/^.*:://g;
    no strict 'refs';
    *{"$package\::accept"} = eval qq(sub { \$_[1]->visit_$last(\$_[0]) })
      unless defined *{"$package\::accept"}{CODE};
  }
}


1;
