#
# WiKicker
#
#  EmptyLinesNode.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: EmptyLinesNode.pm,v 1.2 2004/06/11 14:50:39 naney Exp $
#
#

package WiKicker::WikiPage::EmptyLinesNode;

use WiKicker::WikiPage::Acceptor qw(:accept);

sub new {
  my ($class, @lines) = @_;

  my $self = bless { lines => [ @lines ] }, $class;
  $self->add(@lines) if @lines;

  return $self;
}

sub add {
  my ($self, @lines) = @_;

  push(@{$self->{lines}}, @lines);
}

sub to_string {
  my $self = shift;

  return join('', @{$self->{lines}});
}

sub to_unarmor_string {
  my $self = shift;

  return $self->to_string;
}

1;
