#
# WiKicker
#
#  GetInterWikiDefinitionVisitor.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: GetInterWikiDefinitionVisitor.pm,v 1.2 2003/06/12 04:09:47 naney Exp $
#
#

package WiKicker::WikiPage::GetInterWikiDefinitionVisitor;

use strict;

use WiKicker::PageName;
use WiKicker::WikiPage::TraverseVisitor;
use WiKicker::WRI::Factory;
use vars qw(@ISA);
@ISA = qw(WiKicker::WikiPage::TraverseVisitor);

sub new {
  my $class = shift;

  my $self = bless { inter_wiki_definition => [] }, $class;
}

sub visit_BracketNameNode {
  my ($self, $bracket_name_node) = @_;

  my $wri = $bracket_name_node->wri;
  if ($wri->isa('WiKicker::WRI::RWRN') && $wri->scheme eq 'interwiki') {
    push(@{$self->{inter_wiki_definition}}, $wri);
  }
}

sub inter_wiki_definitions {
  my $self = shift;

  return @{$self->{inter_wiki_definition}};
}

1;
