#
# WiKicker
#
#  TableCellNode.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: TableCellNode.pm,v 1.2 2003/11/01 11:59:59 naney Exp $
#
#

package WiKicker::WikiPage::TableCellNode;

use strict;
use WiKicker::WikiPage::Acceptor;
use WiKicker::WikiPage::Node;

use vars qw(@ISA);

@ISA = qw(WiKicker::WikiPage::Acceptor WiKicker::WikiPage::Node);

sub separator {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{separator} = $value;
  }
  return $self->{separator};
}

sub left {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{left} = $value;
  }
  return $self->{left};
}

sub right {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{right} = $value;
  }
  return $self->{right};
}

sub to_string {
  my $self = shift;

  return $self->separator .
    $self->left .
      join('', map { $_->to_string } $self->nodes) .
        $self->right;
}

sub align {
  my $self = shift;

  if (length($self->left) > 0) {
    if (length($self->right) > 0) {
      return 'center';
    }
    else {
      return 'right';
    }
  }
  return 'left';
}

sub to_unarmor_string {
  my $self = shift;

  return $self->separator .
    $self->left .
      join('', map { $_->to_unarmor_string } $self->nodes) .
        $self->right;
}

1;
