#
# WiKicker
#
#  tDiaryFragmentVisitor.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: tDiaryFragmentVisitor.pm,v 1.5 2004/05/15 08:45:53 naney Exp $
#
#

package WiKicker::WikiPage::tDiaryFragmentVisitor;

use strict;
use WiKicker::WikiPage::WikiPageHtmlFragmentVisitor;
use vars qw(@ISA);
BEGIN {
  @ISA = qw(WiKicker::WikiPage::WikiPageHtmlFragmentVisitor);
}

sub DESTROY {
  my $self = shift;

  #-IFDEBUG: WiKicker::cycle_check($self);
  #-IFDEBUG: WiKicker::total_size("tDiaryFragmentVisitor(before DESTROY)", $self);
  $self->SUPER::DESTROY($self);
}

sub _start_article {
  my $self = shift;

  $self->{content} .= qq(<div class="day">\n);
}

sub _end_article {
  my $self = shift;

  $self->{content} .= qq(</div>\n<!-- end class="day" -->\n);
}

sub _start_article_body {
  my $self = shift;

  $self->{content} .= qq(<div class="body">\n);
}

sub _end_article_body {
  my $self = shift;

  $self->{content} .= qq(</div>\n<!-- end class="body" -->\n);
}

sub _start_section {
  my $self = shift;

  $self->{_in_section} = 1;

  $self->{content} .= '<div class="section">';
}

sub _end_section {
  my $self = shift;

  if ($self->{_in_section}) {
    $self->{content} .= '</div>';
  }
  $self->{_in_section} = 0;
}

sub _add_edit_section_div {
  my ($self, $section_number) = @_;

  unless ($self->no_edit_section) {
    my $link = $self->_section_edit_link($section_number);

    $self->{content}
      .= qq(<div class="adminmenu"><span class="adminmenu">$link</span></div>\n);
  }
}


1;
