# NOTE: Derived from blib/lib/WiKicker/Time.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::Time;

#line 345 "blib/lib/WiKicker/Time.pm (autosplit into blib/lib/auto/WiKicker/Time/_W3CDTF_to_gmtime.al)"
sub _W3CDTF_to_gmtime {
  my $datetime = shift;

  unless ($datetime =~ /^(\d\d\d\d)(.*)$/) {
    return undef;
  }
  my $year = $1;
  my $rest = $2;
  if (length($rest) == 0) {
    return timegm(0, 0, 0, 1, 0, $year);
  }

  unless ($rest =~ /^-(\d\d)(.*)$/) {
    return undef;
  }
  my $mon = $1;
  $rest = $2;
  if (length($rest) == 0) {
    return timegm(0, 0, 0, 1, $mon - 1, $year);
  }

  unless ($rest =~ /^-(\d\d)(.*)$/) {
    return undef;
  }
  my $mday = $1;
  $rest = $2;

  unless (_good_mday($year, $mon, $mday)) {
    return undef;
  }

  if (length($rest) == 0) {
    return timegm(0, 0, 0, $mday, $mon - 1, $year);
  }

  unless ($rest =~ /^T(\d\d):(\d\d)(:(\d\d)(.\d+)?)?(Z|([+-]\d\d:\d\d))$/) {
    return undef;
  }
  my ($hour, $min, $secstr, $sec, $zone) = ($1, $2, $3, $4, $6);
  unless ($secstr) {
    $sec = 0;
  }
  my $zone_value;
  if ($zone eq 'Z') {
    $zone_value = 0;
  }
  elsif ($zone =~ /^\+(\d\d):(\d\d)$/) {
    $zone_value = ($1 * 60 + $2) * 60;
  }
  elsif ($zone =~ /^\-(\d\d):(\d\d)$/) {
    $zone_value = ($1 * 60 + $2) * -60;
  }
  else {
    die;
  }

  return timegm($sec, $min, $hour, $mday, $mon - 1, $year) - $zone_value;
}

# end of WiKicker::Time::_W3CDTF_to_gmtime
1;
