# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page;

#line 100 "blib/lib/WiKicker/WikiCGI/Page.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/do_search.al)"
sub do_search {
  my $self = shift;

  my $search_text = $self->name;
  my $cache_key = $self->_search_cache_key($search_text);
  my $cached_data = $self->request->environment->get_cache_value($cache_key);

  my $busy = $self->request->configuration->is_busy_to_search($self->request->load_average);

  $self->db->shared_lock_pages;

  $self->request->attribute('no_cache_content', 1);

  my $last_modified = $self->request->environment->last_modified_for_view;
  if (defined $cached_data) {
    if ($cached_data->{t} >= $last_modified) {
      my @result = @{$cached_data->{d}};
      my $content
        = join('', map { '- ' . WiKicker::PageName::armor_name($_) . "\n" }
               sort @result);
      $self->request->attribute('content', $content);
      $self->request->attribute('head_comments', [ 'search cache hit! ' . $cached_data->{t} ]);
      return 'read';
    }
    else {
      if ($busy) {
        my @result = @{$cached_data->{d}};
        my $content
          = join('', map { '- ' . WiKicker::PageName::armor_name($_) . "\n" }
                 sort @result);
        $self->request->attribute('content', $content);
        $self->request->attribute('head_comments', [ 'use old cache. ' . $cached_data->{t} ]);
        return 'read';
      }
    }

  }

  if ($busy) {
    return 'busy';
  }

  my @result = $self->_search($search_text);
  $self->request->environment->set_cache_value($cache_key,
                                               { t => $last_modified,
                                                 d => \@result },
                                               60 * 60 * 24);
  my $content
    = join('', map { '- ' . WiKicker::PageName::armor_name($_) . "\n" }
           sort @result);
  $self->request->attribute('content', $content);

  return 'read';
}

# end of WiKicker::WikiCGI::Page::do_search
1;
