# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Request.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Request;

#line 239 "blib/lib/WiKicker/WikiCGI/Request.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Request/is_self_uri.al)"
sub is_self_uri {
  my ($self, $uri, $self_uri) = @_;

  my $host_port;
  my $script_name;
  if (defined $self_uri) {
    my $self_uri_obj = URI->new($self_uri);
    $host_port = $self_uri_obj->host_port;
    $script_name = $self_uri_obj->path;
  }
  else {
    $host_port = $ENV{SERVER_NAME} . ':' . $ENV{SERVER_PORT};
    $script_name = $ENV{SCRIPT_NAME};
  }

  $host_port = lc($host_port);
  my $target = URI->new($uri);
  if (defined $target->scheme) {
    unless ($target->scheme eq 'http' || $target->scheme eq 'https') {
      return undef;
    }
  }
  else {
    $target->scheme('http'); # default
  }

  if (defined $target->host_port) {
    unless (lc($target->host_port) eq $host_port) {
      return undef;
    }
  }

  unless (defined $target->path) {
    return undef;
  }

  my $path_info = '';
  if ($target->path =~ m|^\Q$script_name\E(.*)$|) {
    $path_info = $1 || '';
  }
  else {
    return undef;
  }

  if ($path_info ne '') {
    if (substr($path_info, 0, 1) ne '/') {
      return undef;
    }
    $path_info = substr($path_info, 1);

    if ($path_info =~ /(.*)\.([^.]+)$/) {
      my $name = WiKicker::URI::unescape_URI($1);
      my $format = $2;

      return $name;
    }
    else {
      return WiKicker::URI::unescape_URI($path_info);
    }
  }

  if (defined $target->query_keywords) {
    return join('', $target->keywords);
  }

  my %query = $target->query_form;
  if (exists $query{action}) {
    return WiKicker::URI::unescape_URI($query{name});
  }
  else {
    my @control_names = keys %query;
    my $action = $self->_get_action_from_control_names(@control_names);
    if ($action) {
      return $query{action};
    }
    else {
      if (exists $query{name}) {
        return WiKicker::URI::unescape_URI($query{name});
      }
    }
  }

  return '';
}

1;
# end of WiKicker::WikiCGI::Request::is_self_uri
