# NOTE: Derived from blib/lib/WiKicker/WikiPage/DocumentParser.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::DocumentParser;

#line 308 "blib/lib/WiKicker/WikiPage/DocumentParser.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/DocumentParser/_parse_table_record.al)"
sub _parse_table_record {
  my ($self, $text, $type) = @_;

  die "Invalid type: $type" unless $type eq '|' || $type eq ',';

  my ($line, $new_line);
  if ($text =~ m/^(.*)\n$/) {
    $line = $1;
    $new_line = "\n";
  }
  else {
    $line = $text;
    $new_line = '';
  }

  my @cells = _split_to_cell($line, $type);
  my @cell_nodes;
  for my $cell (@cells) {
    my $cell_node = WiKicker::WikiPage::TableCellNode->new;
    $cell_node->separator($type);
    my ($left, $body, $right) = _trim($cell);
    $cell_node->left($left);
    my @inline = $self->_parse_inline($body);
    if (@inline) {
      $cell_node->add(@inline);
    }
    else {
      $cell_node->add(WiKicker::WikiPage::TextNode->new(''));
    }
    $cell_node->right($right);
    push(@cell_nodes, $cell_node);
  }

  my $tr_node = WiKicker::WikiPage::TableRecordNode->new;
  $tr_node->add(@cell_nodes);
  $tr_node->cr($new_line);
  return $tr_node;
}

# end of WiKicker::WikiPage::DocumentParser::_parse_table_record
1;
